Unit tests are not passing under python3.7

Bug #1814890 reported by Michal Arbet
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
python-magnumclient
Fix Released
Undecided
Michal Arbet
python-magnumclient (Ubuntu)
Fix Released
High
Unassigned
Focal
Fix Committed
High
Unassigned

Bug Description

Hi,

I'm packaging packages for debian and found that unit tests are failing under py37.

Request to create cluster 3a369884-b6ba-484f-a206-919b4b718aff accepted

======================================================================
FAIL: magnumclient.tests.test_httpclient.HttpClientTest.test_server_success_body_json
magnumclient.tests.test_httpclient.HttpClientTest.test_server_success_body_json
----------------------------------------------------------------------
_StringException: Traceback (most recent call last):
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 409, in __iter__
    yield self.next()
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 421, in next
    raise StopIteration()
StopIteration

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/<<PKGBUILDDIR>>/magnumclient/tests/test_httpclient.py", line 347, in test_server_success_body_json
    resp, body = client.json_request('GET', '/v1/resources')
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 233, in json_request
    resp, body_iter = self._http_request(url, method, **kwargs)
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 203, in _http_request
    else chunk for chunk in body_iter
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 202, in <listcomp>
    chunk.decode("utf-8") if isinstance(chunk, bytes)
RuntimeError: generator raised StopIteration

======================================================================
FAIL: magnumclient.tests.test_httpclient.HttpClientTest.test_server_exception_msg_only
magnumclient.tests.test_httpclient.HttpClientTest.test_server_exception_msg_only
----------------------------------------------------------------------
_StringException: Traceback (most recent call last):
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 409, in __iter__
    yield self.next()
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 421, in next
    raise StopIteration()
StopIteration

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/<<PKGBUILDDIR>>/magnumclient/tests/test_httpclient.py", line 109, in test_server_exception_msg_only
    'GET', '/v1/resources')
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 485, in assertRaises
    self.assertThat(our_callable, matcher)
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 496, in assertThat
    mismatch_error = self._matchHelper(matchee, matcher, message, verbose)
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 547, in _matchHelper
    mismatch = matcher.match(matchee)
  File "/usr/lib/python3/dist-packages/testtools/matchers/_exception.py", line 108, in match
    mismatch = self.exception_matcher.match(exc_info)
  File "/usr/lib/python3/dist-packages/testtools/matchers/_higherorder.py", line 62, in match
    mismatch = matcher.match(matchee)
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 475, in match
    reraise(*matchee)
  File "/usr/lib/python3/dist-packages/testtools/_compat3x.py", line 16, in reraise
    raise exc_obj.with_traceback(exc_tb)
  File "/usr/lib/python3/dist-packages/testtools/matchers/_exception.py", line 101, in match
    result = matchee()
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 1049, in __call__
    return self._callable_object(*self._args, **self._kwargs)
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 233, in json_request
    resp, body_iter = self._http_request(url, method, **kwargs)
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 203, in _http_request
    else chunk for chunk in body_iter
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 202, in <listcomp>
    chunk.decode("utf-8") if isinstance(chunk, bytes)
RuntimeError: generator raised StopIteration

======================================================================
FAIL: magnumclient.tests.test_httpclient.HttpClientTest.test_server_exception_empty_body
magnumclient.tests.test_httpclient.HttpClientTest.test_server_exception_empty_body
----------------------------------------------------------------------
_StringException: Traceback (most recent call last):
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 409, in __iter__
    yield self.next()
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 421, in next
    raise StopIteration()
StopIteration

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/<<PKGBUILDDIR>>/magnumclient/tests/test_httpclient.py", line 93, in test_server_exception_empty_body
    'GET', '/v1/resources')
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 485, in assertRaises
    self.assertThat(our_callable, matcher)
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 496, in assertThat
    mismatch_error = self._matchHelper(matchee, matcher, message, verbose)
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 547, in _matchHelper
    mismatch = matcher.match(matchee)
  File "/usr/lib/python3/dist-packages/testtools/matchers/_exception.py", line 108, in match
    mismatch = self.exception_matcher.match(exc_info)
  File "/usr/lib/python3/dist-packages/testtools/matchers/_higherorder.py", line 62, in match
    mismatch = matcher.match(matchee)
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 475, in match
    reraise(*matchee)
  File "/usr/lib/python3/dist-packages/testtools/_compat3x.py", line 16, in reraise
    raise exc_obj.with_traceback(exc_tb)
  File "/usr/lib/python3/dist-packages/testtools/matchers/_exception.py", line 101, in match
    result = matchee()
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 1049, in __call__
    return self._callable_object(*self._args, **self._kwargs)
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 233, in json_request
    resp, body_iter = self._http_request(url, method, **kwargs)
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 203, in _http_request
    else chunk for chunk in body_iter
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 202, in <listcomp>
    chunk.decode("utf-8") if isinstance(chunk, bytes)
RuntimeError: generator raised StopIteration

======================================================================
FAIL: magnumclient.tests.test_httpclient.HttpClientTest.test_server_body_undecode_json
magnumclient.tests.test_httpclient.HttpClientTest.test_server_body_undecode_json
----------------------------------------------------------------------
_StringException: Traceback (most recent call last):
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 409, in __iter__
    yield self.next()
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 421, in next
    raise StopIteration()
StopIteration

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/<<PKGBUILDDIR>>/magnumclient/tests/test_httpclient.py", line 307, in test_server_body_undecode_json
    resp, body = client.json_request('GET', '/v1/resources')
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 233, in json_request
    resp, body_iter = self._http_request(url, method, **kwargs)
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 203, in _http_request
    else chunk for chunk in body_iter
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 202, in <listcomp>
    chunk.decode("utf-8") if isinstance(chunk, bytes)
RuntimeError: generator raised StopIteration

======================================================================
FAIL: magnumclient.tests.test_httpclient.HttpClientTest.test_server_success_body_none
magnumclient.tests.test_httpclient.HttpClientTest.test_server_success_body_none
----------------------------------------------------------------------
_StringException: Traceback (most recent call last):
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 409, in __iter__
    yield self.next()
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 421, in next
    raise StopIteration()
StopIteration

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/<<PKGBUILDDIR>>/magnumclient/tests/test_httpclient.py", line 333, in test_server_success_body_none
    resp, body = client.json_request('GET', '/v1/resources')
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 233, in json_request
    resp, body_iter = self._http_request(url, method, **kwargs)
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 203, in _http_request
    else chunk for chunk in body_iter
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 202, in <listcomp>
    chunk.decode("utf-8") if isinstance(chunk, bytes)
RuntimeError: generator raised StopIteration

======================================================================
FAIL: magnumclient.tests.test_httpclient.HttpClientTest.test_server_exception_msg_and_traceback
magnumclient.tests.test_httpclient.HttpClientTest.test_server_exception_msg_and_traceback
----------------------------------------------------------------------
_StringException: Traceback (most recent call last):
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 409, in __iter__
    yield self.next()
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 421, in next
    raise StopIteration()
StopIteration

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/<<PKGBUILDDIR>>/magnumclient/tests/test_httpclient.py", line 128, in test_server_exception_msg_and_traceback
    'GET', '/v1/resources')
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 485, in assertRaises
    self.assertThat(our_callable, matcher)
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 496, in assertThat
    mismatch_error = self._matchHelper(matchee, matcher, message, verbose)
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 547, in _matchHelper
    mismatch = matcher.match(matchee)
  File "/usr/lib/python3/dist-packages/testtools/matchers/_exception.py", line 108, in match
    mismatch = self.exception_matcher.match(exc_info)
  File "/usr/lib/python3/dist-packages/testtools/matchers/_higherorder.py", line 62, in match
    mismatch = matcher.match(matchee)
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 475, in match
    reraise(*matchee)
  File "/usr/lib/python3/dist-packages/testtools/_compat3x.py", line 16, in reraise
    raise exc_obj.with_traceback(exc_tb)
  File "/usr/lib/python3/dist-packages/testtools/matchers/_exception.py", line 101, in match
    result = matchee()
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 1049, in __call__
    return self._callable_object(*self._args, **self._kwargs)
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 233, in json_request
    resp, body_iter = self._http_request(url, method, **kwargs)
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 203, in _http_request
    else chunk for chunk in body_iter
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 202, in <listcomp>
    chunk.decode("utf-8") if isinstance(chunk, bytes)
RuntimeError: generator raised StopIteration

======================================================================
FAIL: magnumclient.tests.test_httpclient.HttpClientTest.test_401_unauthorized_exception
magnumclient.tests.test_httpclient.HttpClientTest.test_401_unauthorized_exception
----------------------------------------------------------------------
_StringException: Traceback (most recent call last):
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 409, in __iter__
    yield self.next()
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 421, in next
    raise StopIteration()
StopIteration

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/<<PKGBUILDDIR>>/magnumclient/tests/test_httpclient.py", line 281, in test_401_unauthorized_exception
    'GET', '/v1/resources')
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 485, in assertRaises
    self.assertThat(our_callable, matcher)
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 496, in assertThat
    mismatch_error = self._matchHelper(matchee, matcher, message, verbose)
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 547, in _matchHelper
    mismatch = matcher.match(matchee)
  File "/usr/lib/python3/dist-packages/testtools/matchers/_exception.py", line 108, in match
    mismatch = self.exception_matcher.match(exc_info)
  File "/usr/lib/python3/dist-packages/testtools/matchers/_higherorder.py", line 62, in match
    mismatch = matcher.match(matchee)
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 475, in match
    reraise(*matchee)
  File "/usr/lib/python3/dist-packages/testtools/_compat3x.py", line 16, in reraise
    raise exc_obj.with_traceback(exc_tb)
  File "/usr/lib/python3/dist-packages/testtools/matchers/_exception.py", line 101, in match
    result = matchee()
  File "/usr/lib/python3/dist-packages/testtools/testcase.py", line 1049, in __call__
    return self._callable_object(*self._args, **self._kwargs)
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 233, in json_request
    resp, body_iter = self._http_request(url, method, **kwargs)
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 203, in _http_request
    else chunk for chunk in body_iter
  File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 202, in <listcomp>
    chunk.decode("utf-8") if isinstance(chunk, bytes)
RuntimeError: generator raised StopIteration

----------------------------------------------------------------------
Ran 454 tests in 4.101s

This can be fixed by replacing StopIteration with return as it is in pep:

https://www.python.org/dev/peps/pep-0479/

[Description]
See above

[Test Case]
This can be verified by the unit tests that are run during package build. As part of this change we've re-enabled the failing unit tests.

[Regression Potential]
A regression could surface as an unhandled exception in the python client code causing the client to crash. This is mitigated signficantly by the unit testing that is in place for this test.

[Discussion]
SRU team, please consider the most recent upload in the focal unapproved queue which has re-enabled the failing unit tests (ie. it drops skip-test.patch).
https://launchpad.net/ubuntu/focal/+queue?queue_state=1&queue_text=python-magnumclient

Changed in python-magnumclient:
assignee: nobody → Michal Arbet (michalarbet)
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix included in openstack/python-magnumclient 2.12.0

This issue was fixed in the openstack/python-magnumclient 2.12.0 release.

Changed in python-magnumclient:
status: New → Fix Released
Revision history for this message
Gabriel Samfira (gabriel-samfira) wrote (last edit ):

Hi,

This fix did not land in Focal it seems. Any chance to release an updated package for the current LTS?

Thanks!

Edit: apologies for the noise, that would be a different project to file an issue against.

Changed in python-magnumclient (Ubuntu):
status: New → Fix Released
Changed in python-magnumclient (Ubuntu Focal):
status: New → Triaged
importance: Undecided → High
Revision history for this message
Corey Bryant (corey.bryant) wrote :
description: updated
Revision history for this message
Robie Basak (racb) wrote : Please test proposed package

Hello Michal, or anyone else affected,

Accepted python-magnumclient into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-magnumclient/2.11.0-0ubuntu5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in python-magnumclient (Ubuntu Focal):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-focal
Revision history for this message
Michal Arbet (michalarbet) wrote : Re: [Bug 1814890] Re: Unit tests are not passing under python3.7
Download full text (17.9 KiB)

Thank you

Dňa st 4. 8. 2021, 11:01 Robie Basak <email address hidden>
napísal(a):

> Hello Michal, or anyone else affected,
>
> Accepted python-magnumclient into focal-proposed. The package will build
> now and be available at https://launchpad.net/ubuntu/+source/python-
> magnumclient/2.11.0-0ubuntu5
> <https://launchpad.net/ubuntu/+source/python-magnumclient/2.11.0-0ubuntu5>
> in a few hours, and then in the -proposed
> repository.
>
> Please help us by testing this new package. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
> to enable and use -proposed. Your feedback will aid us getting this
> update out to other Ubuntu users.
>
> If this package fixes the bug for you, please add a comment to this bug,
> mentioning the version of the package you tested, what testing has been
> performed on the package and change the tag from verification-needed-
> focal to verification-done-focal. If it does not fix the bug for you,
> please add a comment stating that, and change the tag to verification-
> failed-focal. In either case, without details of your testing we will
> not be able to proceed.
>
> Further information regarding the verification process can be found at
> https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in
> advance for helping!
>
> N.B. The updated package will be released to -updates after the bug(s)
> fixed by this package have been verified and the package has been in
> -proposed for a minimum of 7 days.
>
> ** Changed in: python-magnumclient (Ubuntu Focal)
> Status: Triaged => Fix Committed
>
> ** Tags added: verification-needed verification-needed-focal
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1814890
>
> Title:
> Unit tests are not passing under python3.7
>
> Status in python-magnumclient:
> Fix Released
> Status in python-magnumclient package in Ubuntu:
> Fix Released
> Status in python-magnumclient source package in Focal:
> Fix Committed
>
> Bug description:
> Hi,
>
> I'm packaging packages for debian and found that unit tests are
> failing under py37.
>
> Request to create cluster 3a369884-b6ba-484f-a206-919b4b718aff
> accepted
>
> ======================================================================
> FAIL:
> magnumclient.tests.test_httpclient.HttpClientTest.test_server_success_body_json
>
> magnumclient.tests.test_httpclient.HttpClientTest.test_server_success_body_json
> ----------------------------------------------------------------------
> _StringException: Traceback (most recent call last):
> File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 409,
> in __iter__
> yield self.next()
> File "/<<PKGBUILDDIR>>/magnumclient/common/httpclient.py", line 421,
> in next
> raise StopIteration()
> StopIteration
>
> The above exception was the direct cause of the following exception:
>
> Traceback (most recent call last):
> File "/<<PKGBUILDDIR>>/magnumclient/tests/test_httpclient.py", line
> 347, in test_server_success_body_json
> resp, body = client.json_request('GET', '/v1/resources')
> File "/<<PKG...

Mathew Hodson (mhodson)
Changed in python-magnumclient (Ubuntu):
importance: Undecided → High
Revision history for this message
Brian Murray (brian-murray) wrote : [python-magnumclient/focal] verification still needed

The fix for this bug has been awaiting testing feedback in the -proposed repository for focal for more than 90 days. Please test this fix and update the bug appropriately with the results. In the event that the fix for this bug is still not verified 15 days from now, the package will be removed from the -proposed repository.

tags: added: removal-candidate
Revision history for this message
Corey Bryant (corey.bryant) wrote :
tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Revision history for this message
Michal Arbet (michalarbet) wrote :

+ it is merged master long time ago, this is really proper fix and should be included in ubuntu.

Revision history for this message
Robie Basak (racb) wrote :

This was blocked due to incorrect metadata in bug 1891481 (nobody had marked it verified).

However, I think block-proposed-focal is probably also appropriate for this bug. See https://wiki.ubuntu.com/StableReleaseUpdates#Staging_low_priority_uploads. If you disagree, please remove the tag with your comment.

tags: added: block-proposed-focal
removed: removal-candidate
Revision history for this message
Felipe Reyes (freyes) wrote :
Download full text (4.9 KiB)

This patch is fixing an actual bug python-magnumclient, for example here when Horizon (openstack-dashboard) is deployed with magnum-dashboard on Focal/Ussuri the problem shows up when trying to list the cluster templates.

[Fri Jun 24 15:11:14.257350 2022] [wsgi:error] [pid 29641:tid 140291067918080] [remote 192.168.11.37:47284] error invoking apiclient
[Fri Jun 24 15:11:14.257388 2022] [wsgi:error] [pid 29641:tid 140291067918080] [remote 192.168.11.37:47284] Traceback (most recent call last):
[Fri Jun 24 15:11:14.257396 2022] [wsgi:error] [pid 29641:tid 140291067918080] [remote 192.168.11.37:47284] File "/usr/lib/python3/dist-packages/magnumclient/common/httpclient.py", line 409, in __iter__
[Fri Jun 24 15:11:14.257401 2022] [wsgi:error] [pid 29641:tid 140291067918080] [remote 192.168.11.37:47284] yield self.next()
[Fri Jun 24 15:11:14.257406 2022] [wsgi:error] [pid 29641:tid 140291067918080] [remote 192.168.11.37:47284] File "/usr/lib/python3/dist-packages/magnumclient/common/httpclient.py", line 421, in next
[Fri Jun 24 15:11:14.257411 2022] [wsgi:error] [pid 29641:tid 140291067918080] [remote 192.168.11.37:47284] raise StopIteration()
[Fri Jun 24 15:11:14.257433 2022] [wsgi:error] [pid 29641:tid 140291067918080] [remote 192.168.11.37:47284] StopIteration
[Fri Jun 24 15:11:14.257438 2022] [wsgi:error] [pid 29641:tid 140291067918080] [remote 192.168.11.37:47284]
[Fri Jun 24 15:11:14.257442 2022] [wsgi:error] [pid 29641:tid 140291067918080] [remote 192.168.11.37:47284] The above exception was the direct cause of the following exception:
[Fri Jun 24 15:11:14.257447 2022] [wsgi:error] [pid 29641:tid 140291067918080] [remote 192.168.11.37:47284]
[Fri Jun 24 15:11:14.257451 2022] [wsgi:error] [pid 29641:tid 140291067918080] [remote 192.168.11.37:47284] Traceback (most recent call last):
[Fri Jun 24 15:11:14.257456 2022] [wsgi:error] [pid 29641:tid 140291067918080] [remote 192.168.11.37:47284] File "/usr/lib/python3/dist-packages/openstack_dashboard/api/rest/utils.py", line 128, in _wrap
ped
[Fri Jun 24 15:11:14.257461 2022] [wsgi:error] [pid 29641:tid 140291067918080] [remote 192.168.11.37:47284] data = function(self, request, *args, **kw)
[Fri Jun 24 15:11:14.257465 2022] [wsgi:error] [pid 29641:tid 140291067918080] [remote 192.168.11.37:47284] File "/usr/lib/python3/dist-packages/magnum_ui/api/rest/magnum.py", line 71, in get
[Fri Jun 24 15:11:14.257470 2022] [wsgi:error] [pid 29641:tid 140291067918080] [remote 192.168.11.37:47284] result = magnum.cluster_template_list(request)
[Fri Jun 24 15:11:14.257475 2022] [wsgi:error] [pid 29641:tid 140291067918080] [remote 192.168.11.37:47284] File "/usr/lib/python3/dist-packages/magnum_ui/api/magnum.py", line 155, in cluster_template_li
st
[Fri Jun 24 15:11:14.257479 2022] [wsgi:error] [pid 29641:tid 140291067918080] [remote 192.168.11.37:47284] return magnumclient(request).cluster_templates.list(
[Fri Jun 24 15:11:14.257484 2022] [wsgi:error] [pid 29641:tid 140291067918080] [remote 192.168.11.37:47284] File "/usr/lib/python3/dist-packages/magnumclient/v1/basemodels.py", line 92, in list
[Fri Jun 24 15:11:14.257488 2022] [wsgi:error] [pid 29641:tid 140291067918080] [re...

Read more...

tags: removed: block-proposed-focal
Revision history for this message
Robie Basak (racb) wrote : Please test proposed package

Hello Michal, or anyone else affected,

Accepted python-magnumclient into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-magnumclient/2.11.0-0ubuntu6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-focal
removed: verification-done verification-done-focal
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers